import { geoPath, geoGraticule, geoAlbers } from 'd3';

const projection = geoAlbers();
const path = geoPath(projection);
const graticule = geoGraticule();

export const Marks = (
  { usMap: { state, interiors }, cities,
  sizeScale,
  sizeValue,
  colorScale,
  colorValue}) => (
  <>
  <g className="marks">
    <path className="sphere" d={path({ type: 'Sphere' })} />
    <path className="graticules" d={path(graticule())} />
    {state.features.map(feature => (
      <path className="land" d={path(feature)} />
    ))}
  </g>
      <g>
      <path className="interiors" d={path(interiors)} />
        {cities.map(d => 
         d.data).map(m => 
            {
        const [x, y] = projection(m.Longitude, m.Latitude);
        return <circle 
                 cx="40.6943"
                 cy="-73.9249"  
                 r="10"
                 fill="black"/>;
      })}
      </g>
    </>
);
