import { useState, useEffect } from 'react';
import { csv } from 'd3';

const csvUrl = 'https://gist.githubusercontent.com/jgorsett/6492ab1253c04167d1639c4ced71b3bf/raw/60ac51d04ee9806242f51689466c6197af59301d/hotaling_cocktails%2520-%2520Cocktails%2520-%2520Parsed%2520Ingredients.csv'
const row = d => {
  d.Latitude = +d.Latitude;
  d.Longitude = +d.Longitude;
  return d;
};

export const useCities = () => {
  const [data, setData] = useState(null);

  useEffect(() => {
    csv(csvUrl, row).then(setData); 
  }, []);

  return data ? data.filter(d => d.Longitude &&
   												( d.Location=="San Francisco" ||
                            d.Location=="New York" ||
                            d.Location=="Houston" ||
                            d.Location=="Los Angeles" ||
                            d.Location=="New Orleans" ||
                            d.Location=="Chicago" ||
                            d.Location=="Austin" ||
                            d.Location=="Boston" ||
                            d.Location=="Miami" ||
                            d.Location=="Seattle"
   )
) : data;
};
